Opened 8 years ago

Closed 8 years ago

#3505 closed defect (worksforme)

osm2pgsql does not build on Arch Linux

Reported by: dimka Owned by: jburgess777@…
Priority: major Milestone:
Component: osm2pgsql Version:
Keywords: osm2pgsql arch Cc:

Description

Running yaourt -S osm2pgsql-svn fails with:

Checked out revision 25215.
SVN checkout done or server timeout
==> Starting make...
sed: can't read Makefile.in: No such file or directory
Aborting...
==> ERROR: Makepkg was unable to build osm2pgsql-svn.

Tried to modify the PKGBUILD to match the manual compilation instructions (attached), it fails with the following error:

checking how to hardcode library paths into programs... immediate
checking for xml2-config... /usr/bin/xml2-config
checking for xml2 libraries... yes
checking for zlib compression library... no
configure: error: required library not found
    Aborting...

I attach also the config.log file.

Manual compilation works just fine, the problem seems to be connected to the Arch build system not finding zlib.

Attachments (2)

config.log (31.3 KB) - added by dimka 8 years ago.
PKGBUILD (1.0 KB) - added by dimka 8 years ago.
The modified PKGBUILD

Download all attachments as: .zip

Change History (6)

Changed 8 years ago by dimka

Attachment: config.log added

Changed 8 years ago by dimka

Attachment: PKGBUILD added

The modified PKGBUILD

comment:1 Changed 8 years ago by Ldp

Owner: changed from mapnik-team@… to jburgess777@…
Status: newassigned

comment:2 Changed 8 years ago by amm

Component: mapnikosm2pgsql

comment:3 Changed 8 years ago by amm

According to the config.log you attached, ./configure was called with the --with-zlib=no option. I guess that would explain the missing required zlib.

comment:4 Changed 8 years ago by dimka

Resolution: worksforme
Status: assignedclosed

The problem seems now to be solved in the Arch repo.

Note: See TracTickets for help on using tickets.